# RailBuildingGUIButtonData Struct Reference

Data associated with a push button in the build rail toolbar window. More...

## Data Fields
uint16 | keycode
| Keycode associated with the button.
OnButtonClick * | click_proc
| Procedure to call when button is clicked.

## Detailed Description

Data associated with a push button in the build rail toolbar window.

Definition at line 588 of file rail_gui.cpp.

The documentation for this struct was generated from the following file:

- src/rail_gui.cpp